<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:r="http://www.istandaarden.nl/validatie/1_1/rapport/schema">
	<!-- iJw 2.4 JW304 (2019-12-02) -->

	<xsl:import href="common/basis.xsl" />
	<xsl:include href="condities/CD005.xsl" />
	<xsl:include href="condities/CD007.xsl" />
	<xsl:include href="condities/CD025.xsl" />
	<xsl:include href="condities/CD058.xsl" />
	<xsl:include href="condities/CD062.xsl" />
	<xsl:include href="constraints/CS002.xsl" />
	<xsl:include href="constraints/CS023.xsl" />
	<xsl:include href="constraints/CS050.xsl" />
	<xsl:include href="constraints/CS089.xsl" />
	<xsl:include href="constraints/CS108.xsl" />
	<xsl:include href="constraints/CS323.xsl" />
	<xsl:include href="constraints/CS324.xsl" />
	<xsl:include href="constraints/CS325.xsl" />
	<xsl:include href="constraints/CS331.xsl" />
	<xsl:include href="rules/TR002.xsl" />
	<xsl:include href="rules/TR097.xsl" />
	<xsl:include href="rules/TR101.xsl" />
	<xsl:include href="rules/TR320.xsl" />

	<xsl:template match="*" mode="check" priority="0">
		<xsl:apply-templates select="." mode="CD005"/>
		<xsl:apply-templates select="." mode="CD007"/>
		<xsl:apply-templates select="." mode="CD025"/>
		<xsl:apply-templates select="." mode="CD058"/>
		<xsl:apply-templates select="." mode="CD062"/>
		<xsl:apply-templates select="." mode="CS002"/>
		<xsl:apply-templates select="." mode="CS023"/>
		<xsl:apply-templates select="." mode="CS050"/>
		<xsl:apply-templates select="." mode="CS089"/>
		<xsl:apply-templates select="." mode="CS108"/>
		<xsl:apply-templates select="." mode="CS323"/>
		<xsl:apply-templates select="." mode="CS324"/>
		<xsl:apply-templates select="." mode="CS325"/>
		<xsl:apply-templates select="." mode="CS331"/>
		<xsl:apply-templates select="." mode="TR002"/>
		<xsl:apply-templates select="." mode="TR097"/>
		<xsl:apply-templates select="." mode="TR101"/>
		<xsl:apply-templates select="." mode="TR320"/>
	</xsl:template>

	<xsl:variable name="versionInfo">
		<r:XSLTHeader>
			<r:Standaard>ijw</r:Standaard>
			<r:StandaardRelease>2.4</r:StandaardRelease>
			<r:XSLTVersie>1.9.14</r:XSLTVersie>
		</r:XSLTHeader>
	</xsl:variable>
</xsl:stylesheet>
