<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:ijw="http://www.istandaarden.nl/ijw/2_4/basisschema/schema"
                xmlns:jw305="http://www.istandaarden.nl/ijw/2_4/jw305/schema"
                xmlns:jw307="http://www.istandaarden.nl/ijw/2_4/jw307/schema"
                xmlns:jw315="http://www.istandaarden.nl/ijw/2_4/jw315/schema">

    <!-- iJw 2.4 CD043 version 1.9.14 (2019-12-02) -->

    <xsl:import href="../common/basis.xsl"/>
    <xsl:template match="*" mode="CD043"/>
    <xsl:template match="*" mode="check">
        <xsl:apply-templates select="*" mode="CD043"/>
    </xsl:template>

    <xsl:template match="jw305:StartProduct" mode="CD043">
        <xsl:call-template name="checksame">
            <xsl:with-param name="pThis" select="jw305:BeschikkingNummer"/>
            <xsl:with-param name="pValue1">*</xsl:with-param>
            <xsl:with-param name="pOther" select="jw305:ToewijzingIngangsdatum"/>
            <xsl:with-param name="pValue2">*</xsl:with-param>
            <xsl:with-param name="pRule">CD043</xsl:with-param>
        </xsl:call-template>
    </xsl:template>

    <xsl:template match="jw307:StopProduct" mode="CD043">
        <xsl:call-template name="checksame">
            <xsl:with-param name="pThis" select="jw307:BeschikkingNummer"/>
            <xsl:with-param name="pValue1">*</xsl:with-param>
            <xsl:with-param name="pOther" select="jw307:ToewijzingIngangsdatum"/>
            <xsl:with-param name="pValue2">*</xsl:with-param>
            <xsl:with-param name="pRule">CD043</xsl:with-param>
        </xsl:call-template>
    </xsl:template>

    <xsl:template match="jw315:AangevraagdProduct" mode="CD043">
        <xsl:call-template name="checksame">
            <xsl:with-param name="pThis" select="jw315:BeschikkingNummer"/>
            <xsl:with-param name="pValue1">*</xsl:with-param>
            <xsl:with-param name="pOther" select="jw315:BeschikkingIngangsdatum"/>
            <xsl:with-param name="pValue2">*</xsl:with-param>
            <xsl:with-param name="pRule">CD043</xsl:with-param>
        </xsl:call-template>
    </xsl:template>

</xsl:stylesheet>
