<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:ijw="http://www.istandaarden.nl/ijw/2_4/basisschema/schema"
                xmlns:jw301="http://www.istandaarden.nl/ijw/2_4/jw301/schema"
                xmlns:jw315="http://www.istandaarden.nl/ijw/2_4/jw315/schema"
                >

    <!-- iJw 2.4 CS003 version 1.9.14 (2019-12-02) -->

    <xsl:import href="../common/basis.xsl"/>
    <xsl:template match="*" mode="CS003"/>
    <xsl:template match="*" mode="check">
        <xsl:apply-templates select="*" mode="CS003"/>
    </xsl:template>

    <xsl:template match="jw301:Beschikking/jw301:Einddatum" mode="CS003">
        <xsl:call-template name="checkafter">
            <xsl:with-param name="pOther" select="../jw301:Ingangsdatum"/>
            <xsl:with-param name="pRule">CS003</xsl:with-param>
        </xsl:call-template>
    </xsl:template>

    <xsl:template match="jw301:ToegewezenProduct/jw301:Einddatum" mode="CS003">
        <xsl:call-template name="checkafter">
            <xsl:with-param name="pOther" select="../jw301:Ingangsdatum"/>
            <xsl:with-param name="pRule">CS003</xsl:with-param>
        </xsl:call-template>
    </xsl:template>

    <xsl:template match="jw301:Contact/jw301:Periode/ijw:Einddatum" mode="CS003">
        <xsl:call-template name="checkafter">
            <xsl:with-param name="pOther" select="../ijw:Begindatum"/>
            <xsl:with-param name="pRule">CS003</xsl:with-param>
        </xsl:call-template>
    </xsl:template>
    
   <xsl:template match="jw315:AangevraagdProduct/jw315:ToewijzingEinddatum" mode="CS003">
        <xsl:call-template name="checkafter">
            <xsl:with-param name="pOther" select="../jw315:ToewijzingIngangsdatum"/>
            <xsl:with-param name="pRule">CS003</xsl:with-param>
        </xsl:call-template>
    </xsl:template>
    
</xsl:stylesheet>
