<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:ijw="http://www.istandaarden.nl/ijw/2_4/basisschema/schema"
                xmlns:jw301="http://www.istandaarden.nl/ijw/2_4/jw301/schema"
                xmlns:jw303="http://www.istandaarden.nl/ijw/2_4/jw303/schema"
                xmlns:jw304="http://www.istandaarden.nl/ijw/2_4/jw304/schema"
                xmlns:jw305="http://www.istandaarden.nl/ijw/2_4/jw305/schema"
                xmlns:jw307="http://www.istandaarden.nl/ijw/2_4/jw307/schema"
                xmlns:jw315="http://www.istandaarden.nl/ijw/2_4/jw315/schema">

    <!-- iJw 2.4 CS023 version 1.9.14 (2019-12-02) -->

    <xsl:import href="../common/basis.xsl"/>
    <xsl:template match="*" mode="CS023"/>
    <xsl:template match="*" mode="check">
        <xsl:apply-templates select="*" mode="CS023"/>
    </xsl:template>

    <xsl:template match="jw301:Beschikking/jw301:Afgiftedatum" mode="CS023">
        <xsl:call-template name="cs023"/>
    </xsl:template>

    <xsl:template match="jw301:Client/jw301:Geboortedatum/ijw:Datum" mode="CS023">
        <xsl:call-template name="cs023"/>
    </xsl:template>

    <xsl:template match="jw301:Relatie/jw301:Geboortedatum/ijw:Datum" mode="CS023">
        <xsl:call-template name="cs023"/>
    </xsl:template>

    <xsl:template match="jw301:ToegewezenProduct/jw301:Toewijzingsdatum" mode="CS023">
        <xsl:call-template name="cs023"/>
    </xsl:template>

    <xsl:template match="ijw:DeclaratiePeriode/ijw:Begindatum" mode="CS023">
        <xsl:call-template name="cs023declaratie"/>
    </xsl:template>

    <!---->

    <xsl:template match="jw303:Client/jw303:Geboortedatum/ijw:Datum" mode="CS023">
        <xsl:call-template name="cs023declaratie"/>
    </xsl:template>

    <xsl:template match="jw303:Prestatie/jw303:ProductPeriode/ijw:Begindatum" mode="CS023">
        <xsl:call-template name="cs023declaratie"/>
    </xsl:template>

    <!---->

    <xsl:template match="jw304:Client/jw304:Geboortedatum/ijw:Datum" mode="CS023">
        <xsl:call-template name="cs023declaratie"/>
    </xsl:template>

    <xsl:template match="jw304:Prestatie/jw304:ProductPeriode/ijw:Begindatum" mode="CS023">
        <xsl:call-template name="cs023declaratie"/>
    </xsl:template>

    <!---->

    <xsl:template match="jw305:Client/jw305:Geboortedatum/ijw:Datum" mode="CS023">
        <xsl:call-template name="cs023"/>
    </xsl:template>

    <xsl:template match="jw307:Client/jw307:Geboortedatum/ijw:Datum" mode="CS023">
        <xsl:call-template name="cs023"/>
    </xsl:template>

    <xsl:template match="jw307:StopProduct/jw307:Einddatum" mode="CS023">
        <xsl:call-template name="cs023"/>
    </xsl:template>

    <xsl:template match="jw315:Client/jw315:Geboortedatum/ijw:Datum" mode="CS023">
        <xsl:call-template name="cs023"/>
    </xsl:template>

    <xsl:template name="cs023">
        <xsl:param name="pThis" select="."/>
        <xsl:call-template name="checkafter">
            <xsl:with-param name="pThis"
                            select="ancestor-or-self::*[local-name() = 'Bericht']/*[local-name() = 'Header']/*[local-name() = 'BerichtIdentificatie']/*[local-name() = 'Dagtekening']"/>
            <xsl:with-param name="pOther" select="$pThis"/>
            <xsl:with-param name="pRule">CS023</xsl:with-param>
        </xsl:call-template>
    </xsl:template>

    <xsl:template name="cs023declaratie">
        <xsl:param name="pThis" select="."/>
        <xsl:call-template name="checkafter">
            <xsl:with-param name="pThis"
                            select="ancestor-or-self::*[local-name() = 'Bericht']/*[local-name() = 'Header']/*[local-name() = 'DeclaratieFactuurIdentificatie']/*[local-name() = 'FactuurDagtekening']"/>
            <xsl:with-param name="pOther" select="$pThis"/>
            <xsl:with-param name="pRule">CS023</xsl:with-param>
        </xsl:call-template>
    </xsl:template>

</xsl:stylesheet>
