<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:ijw="http://www.istandaarden.nl/ijw/2_4/basisschema/schema"
	xmlns:jw303="http://www.istandaarden.nl/ijw/2_4/jw303/schema"
	>

	<!-- iJw 2.4 CS327 version 1.9.14 (2019-12-02) -->

	<xsl:import href="../common/basis.xsl"/>
	<xsl:template match="*" mode="CS327"/>
	<xsl:template match="*" mode="check">
		<xsl:apply-templates select="*" mode="CS327"/>
	</xsl:template>

	<xsl:template match="jw303:IngediendeBedragPrestatie/ijw:BerekendBedrag" mode="CS327">
		<xsl:call-template name="cs327" />
	</xsl:template>

	<xsl:template match="jw303:IngediendeBedragPrestatie/ijw:BtwBedrag" mode="CS327">
		<xsl:call-template name="cs327" />
	</xsl:template>

	<xsl:template name="cs327">
		<xsl:if test="not(normalize-space(ijw:DebetCredit/text()) = normalize-space(../ijw:DeclaratieFactuurBedrag/ijw:DebetCredit/text()))">
			<xsl:call-template name="addError">
				<xsl:with-param name="pRule">CS327</xsl:with-param>
				<xsl:with-param name="pElements" select="ijw:DebetCredit | ../ijw:DeclaratieFactuurBedrag/ijw:DebetCredit" />
			</xsl:call-template>
		</xsl:if>
	</xsl:template>

</xsl:stylesheet>
