<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:ijw="http://www.istandaarden.nl/ijw/2_4/basisschema/schema"
	xmlns:jw301="http://www.istandaarden.nl/ijw/2_4/jw301/schema"
	xmlns:jw303="http://www.istandaarden.nl/ijw/2_4/jw303/schema"
	xmlns:jw304="http://www.istandaarden.nl/ijw/2_4/jw304/schema"
	xmlns:jw305="http://www.istandaarden.nl/ijw/2_4/jw305/schema"
	xmlns:jw307="http://www.istandaarden.nl/ijw/2_4/jw307/schema"
	xmlns:jw315="http://www.istandaarden.nl/ijw/2_4/jw315/schema"
	>

	<!-- iJw 2.4 TR002 version 1.9.14 (2019-12-02) -->

	<xsl:import href="../common/basis.xsl"/>
	<xsl:template match="*" mode="TR002"/>
	<xsl:template match="*" mode="check">
		<xsl:apply-templates select="*" mode="TR002"/>
	</xsl:template>

	<xsl:template match="*[local-name() = 'Geboortedatum']/ijw:Datum" mode="TR002">

		<xsl:if test="not(../ijw:DatumGebruik/text() = '3' and text() = '1900-01-01')">
			<xsl:variable name="parent" select="ancestor-or-self::*[local-name() = 'Bericht']/*[local-name() = 'Header']"/>
			<xsl:if test="not (ancestor-or-self::jw304:Bericht)">
				<xsl:choose>
					<xsl:when test="$parent/*[local-name() = 'BerichtIdentificatie']/*[local-name() = 'Dagtekening']">
						<xsl:call-template name="checkYearsBetween">
							<xsl:with-param name="pDate1"
								select="$parent/*[local-name() = 'BerichtIdentificatie']/*[local-name() = 'Dagtekening']"/>
							<xsl:with-param name="pDate2" select="."/>
							<xsl:with-param name="pYears">120</xsl:with-param>
							<xsl:with-param name="pRule">
								TR002
							</xsl:with-param>
						</xsl:call-template>
					</xsl:when>
					<xsl:otherwise>
						<xsl:call-template name="checkYearsBetween">
							<xsl:with-param name="pDate1"
								select="$parent/*[local-name() = 'DeclaratieFactuurIdentificatie']/*[local-name() = 'FactuurDagtekening']"/>
							<xsl:with-param name="pDate2" select="."/>
							<xsl:with-param name="pYears">120</xsl:with-param>
							<xsl:with-param name="pRule">
								TR002
							</xsl:with-param>
						</xsl:call-template>
					</xsl:otherwise>
				</xsl:choose>
			</xsl:if>
		</xsl:if>
	</xsl:template>

</xsl:stylesheet>
