<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:ijw="http://www.istandaarden.nl/ijw/2_4/basisschema/schema"
                xmlns:jw301="http://www.istandaarden.nl/ijw/2_4/jw301/schema"
                xmlns:jw303="http://www.istandaarden.nl/ijw/2_4/jw303/schema"
                xmlns:jw304="http://www.istandaarden.nl/ijw/2_4/jw304/schema"
                xmlns:jw305="http://www.istandaarden.nl/ijw/2_4/jw305/schema"
                xmlns:jw307="http://www.istandaarden.nl/ijw/2_4/jw307/schema"
                xmlns:jw315="http://www.istandaarden.nl/ijw/2_4/jw315/schema"
>

    <!-- iJw 2.4 TR101 version 1.9.14 (2019-12-02) -->

    <xsl:import href="../common/basis.xsl"/>
    <xsl:template match="*" mode="TR101"/>
    <xsl:template match="*" mode="check">
        <xsl:apply-templates select="*" mode="TR101"/>
    </xsl:template>
	
	<xsl:template match="jw301:Bericht" mode="TR101">
        <xsl:call-template name="checkDuplicateKeys">
            <xsl:with-param name="pElement" select="jw301:Client"/>
            <xsl:with-param name="pKeys">/Bsn,</xsl:with-param>
            <xsl:with-param name="pRule">TR101</xsl:with-param>
        </xsl:call-template>
    </xsl:template>
    
    <xsl:template match="jw301:Contactgegevens" mode="TR101">
        <xsl:call-template name="checkDuplicateKeys">
            <xsl:with-param name="pElement" select="jw301:Contact"/>
            <xsl:with-param name="pKeys">/Soort,</xsl:with-param>
            <xsl:with-param name="pRule">TR101</xsl:with-param>
        </xsl:call-template>
    </xsl:template>
	
    <xsl:template match="jw301:Beperkingen" mode="TR101">
        <xsl:call-template name="checkDuplicateKeys">
            <xsl:with-param name="pElement" select="jw301:Beperking"/>
            <xsl:with-param name="pKeys">/Categorie,</xsl:with-param>
            <xsl:with-param name="pRule">TR101</xsl:with-param>
        </xsl:call-template>
    </xsl:template>

    <xsl:template match="jw301:BeperkingScores" mode="TR101">
        <xsl:call-template name="checkDuplicateKeys">
            <xsl:with-param name="pElement" select="jw301:BeperkingScore"/>
            <xsl:with-param name="pKeys">/Vraag,</xsl:with-param>
            <xsl:with-param name="pRule">TR101</xsl:with-param>
        </xsl:call-template>
    </xsl:template>
    
    <xsl:template match="jw301:Relaties" mode="TR101">
        <xsl:call-template name="checkDuplicateKeys">
            <xsl:with-param name="pElement" select="jw301:Relatie"/>
            <xsl:with-param name="pKeys">/Nummer,</xsl:with-param>
            <xsl:with-param name="pRule">TR101</xsl:with-param>
        </xsl:call-template>
    </xsl:template>
    
    <xsl:template match="jw301:Beschikkingen" mode="TR101">
        <xsl:call-template name="checkDuplicateKeys">
            <xsl:with-param name="pElement" select="jw301:Beschikking"/>
            <xsl:with-param name="pKeys">/BeschikkingNummer,</xsl:with-param>
            <xsl:with-param name="pRule">TR101</xsl:with-param>
        </xsl:call-template>
    </xsl:template>

    <xsl:template match="jw301:ToegewezenProducten" mode="TR101">
        <xsl:call-template name="checkDuplicateKeys">
            <xsl:with-param name="pElement" select="jw301:ToegewezenProduct"/>
            <xsl:with-param name="pKeys">/ToewijzingNummer,</xsl:with-param>
            <xsl:with-param name="pRule">TR101</xsl:with-param>
        </xsl:call-template>
        <xsl:call-template name="checkDuplicateKeys">
            <xsl:with-param name="pElement" select="jw301:ToegewezenProduct"/>
            <xsl:with-param name="pKeys">/Product/Categorie,/Product/Code,/Ingangsdatum,</xsl:with-param>
            <xsl:with-param name="pRule">TR101</xsl:with-param>
        </xsl:call-template>
  </xsl:template>

    <xsl:template match="jw303:Clienten" mode="TR101">
        <xsl:call-template name="checkDuplicateKeys">
            <xsl:with-param name="pElement" select="jw303:Client"/>
            <xsl:with-param name="pKeys">/Bsn,</xsl:with-param>
            <xsl:with-param name="pRule">TR101</xsl:with-param>
        </xsl:call-template>
    </xsl:template>

    
    <xsl:template match="jw303:Prestaties" mode="TR101">
        <xsl:call-template name="checkDuplicateKeys">
            <xsl:with-param name="pElement" select="jw303:Prestatie"/>
            <xsl:with-param name="pKeys">
                /ProductCode,
                /ProductCategorie,
                /ProductReferentie/ReferentieNummer,
                /ProductReferentie/VorigReferentieNummer,</xsl:with-param>
            <xsl:with-param name="pRule">TR101</xsl:with-param>
        </xsl:call-template>
    </xsl:template>

    <xsl:template match="jw305:Bericht" mode="TR101">
        <xsl:call-template name="checkDuplicateKeys">
            <xsl:with-param name="pElement" select="jw305:Client"/>
            <xsl:with-param name="pKeys">/Bsn,</xsl:with-param>
            <xsl:with-param name="pRule">TR101</xsl:with-param>
        </xsl:call-template>
    </xsl:template>

    <xsl:template match="jw305:StartProducten" mode="TR101">
        <xsl:call-template name="checkDuplicateKeys">
       		<xsl:with-param name="pElement" select="jw305:StartProduct[jw305:ToewijzingNummer]"/>
       		<xsl:with-param name="pKeys">/ToewijzingNummer,/Begindatum,</xsl:with-param>
       		<xsl:with-param name="pRule">TR101</xsl:with-param>
   		</xsl:call-template>
   		<xsl:call-template name="checkDuplicateKeys">
       		<xsl:with-param name="pElement" select="jw305:StartProduct[jw305:ToewijzingNummer]"/>
       		<xsl:with-param name="pKeys">/Product/Categorie,/Product/Code,/Begindatum,</xsl:with-param>
       		<xsl:with-param name="pRule">TR101</xsl:with-param>
   		</xsl:call-template>
   		<xsl:call-template name="checkDuplicateKeys">
      		<xsl:with-param name="pElement" select="jw305:StartProduct[not(jw305:ToewijzingNummer)]"/>
       		<xsl:with-param name="pKeys">/Product/Categorie,/Product/Code,/Begindatum,</xsl:with-param>
       		<xsl:with-param name="pRule">TR101</xsl:with-param>
   		</xsl:call-template>
    </xsl:template>
    
    <xsl:template match="jw307:Bericht" mode="TR101">
        <xsl:call-template name="checkDuplicateKeys">
            <xsl:with-param name="pElement" select="jw307:Client"/>
            <xsl:with-param name="pKeys">/Bsn,</xsl:with-param>
            <xsl:with-param name="pRule">TR101</xsl:with-param>
        </xsl:call-template>
    </xsl:template>

    <xsl:template match="jw307:StopProducten" mode="TR101">
        <xsl:call-template name="checkDuplicateKeys">
       		<xsl:with-param name="pElement" select="jw307:StopProduct[jw307:ToewijzingNummer]"/>
       		<xsl:with-param name="pKeys">/ToewijzingNummer,/Einddatum,</xsl:with-param>
       		<xsl:with-param name="pRule">TR101</xsl:with-param>
   		</xsl:call-template>
		<xsl:call-template name="checkDuplicateKeys">
       		<xsl:with-param name="pElement" select="jw307:StopProduct[jw307:ToewijzingNummer]"/>
       		<xsl:with-param name="pKeys">/Product/Categorie,/Product/Code,/Einddatum,</xsl:with-param>
       		<xsl:with-param name="pRule">TR101</xsl:with-param>
   		</xsl:call-template>
   		<xsl:call-template name="checkDuplicateKeys">
      		<xsl:with-param name="pElement" select="jw307:StopProduct[not(jw307:ToewijzingNummer)]"/>
       		<xsl:with-param name="pKeys">/Product/Categorie,/Product/Code,/Einddatum,</xsl:with-param>
       		<xsl:with-param name="pRule">TR101</xsl:with-param>
   		</xsl:call-template>
    </xsl:template>

    <xsl:template match="jw315:Bericht" mode="TR101">
        <xsl:call-template name="checkDuplicateKeys">
            <xsl:with-param name="pElement" select="jw315:Client"/>
            <xsl:with-param name="pKeys">/Bsn,</xsl:with-param>
            <xsl:with-param name="pRule">TR101</xsl:with-param>
        </xsl:call-template>
    </xsl:template>

    <xsl:template match="jw315:AangevraagdeProducten" mode="TR101">
        <xsl:call-template name="checkDuplicateKeys">
            <xsl:with-param name="pElement" select="jw315:AangevraagdProduct"/>
            <xsl:with-param name="pKeys">/BeschikkingNummer,/Product/Categorie,/Product/Code,/ToewijzingIngangsdatum,</xsl:with-param>
            <xsl:with-param name="pRule">TR101</xsl:with-param>
        </xsl:call-template>
    </xsl:template>

</xsl:stylesheet>
