<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:ijw="http://www.istandaarden.nl/ijw/2_4/basisschema/schema"
	xmlns:jw303="http://www.istandaarden.nl/ijw/2_4/jw303/schema"
	>

	<!-- iJw 2.4 TR312 version 1.9.14 (2019-12-02) -->

	<xsl:import href="../common/basis.xsl"/>
	<xsl:template match="*" mode="TR312"/>
	<xsl:template match="*" mode="check">
		<xsl:apply-templates select="*" mode="TR312"/>
	</xsl:template>

	<xsl:template match="jw303:DeclaratieFactuurBedragen" mode="TR312">
		<xsl:variable name="vTotaalDebet"
			select="sum(ancestor-or-self::jw303:Bericht/jw303:Clienten/jw303:Client/jw303:Prestaties/jw303:Prestatie/jw303:IngediendeBedragPrestatie/ijw:DeclaratieFactuurBedrag[ijw:DebetCredit/text() = 'D']/ijw:Bedrag)"/>
		<xsl:variable name="vTotaalCredit"
			select="sum(ancestor-or-self::jw303:Bericht/jw303:Clienten/jw303:Client/jw303:Prestaties/jw303:Prestatie/jw303:IngediendeBedragPrestatie/ijw:DeclaratieFactuurBedrag[ijw:DebetCredit/text() = 'C']/ijw:Bedrag)"/>

		<xsl:variable name="vSaldo" select="$vTotaalDebet - $vTotaalCredit"/>

		<!-- Controleren of BtwTotaalBedrag overeenkomt met saldo BtwBedragen -->
		<xsl:call-template name="checkimplication">
			<xsl:with-param name="pThis" select="ijw:DeclaratieFactuurTotaalBedrag/ijw:DebetCredit" />
			<xsl:with-param name="pValue1">D</xsl:with-param>
			<xsl:with-param name="pOther" select="ijw:DeclaratieFactuurTotaalBedrag/ijw:TotaalBedrag" />
			<xsl:with-param name="pValue2"><xsl:call-template name="formatNumber"><xsl:with-param name="pValue" select="$vSaldo" /></xsl:call-template></xsl:with-param>
			<xsl:with-param name="pExtra" select="ancestor-or-self::jw303:Bericht/jw303:Clienten/jw303:Client/jw303:Prestaties/jw303:Prestatie/jw303:IngediendeBedragPrestatie/ijw:DeclaratieFactuurBedrag/ijw:Bedrag"/>
			<xsl:with-param name="pRule">TR312</xsl:with-param>
		</xsl:call-template>

		<!-- In het geval van Credit moet het bedrag negatief worden gemaakt -->
		<xsl:call-template name="checkimplication">
			<xsl:with-param name="pThis" select="ijw:DeclaratieFactuurTotaalBedrag/ijw:DebetCredit" />
			<xsl:with-param name="pValue1">C</xsl:with-param>
			<xsl:with-param name="pOther" select="ijw:DeclaratieFactuurTotaalBedrag/ijw:TotaalBedrag" />
			<xsl:with-param name="pValue2"><xsl:call-template name="formatNumber"><xsl:with-param name="pValue" select="0 - 1 * $vSaldo" /></xsl:call-template></xsl:with-param>
			<xsl:with-param name="pExtra" select="ancestor-or-self::jw303:Bericht/jw303:Clienten/jw303:Client/jw303:Prestaties/jw303:Prestatie/jw303:IngediendeBedragPrestatie/ijw:DeclaratieFactuurBedrag/ijw:Bedrag"/>
			<xsl:with-param name="pRule">TR312</xsl:with-param>
		</xsl:call-template>
	</xsl:template>

</xsl:stylesheet>
