<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:ijw="http://www.istandaarden.nl/ijw/2_4/basisschema/schema"
	xmlns:jw303="http://www.istandaarden.nl/ijw/2_4/jw303/schema"
	>

	<!-- iJw 2.4 TR316 version 1.9.14 (2019-12-02) -->

	<xsl:import href="../common/basis.xsl"/>
	<xsl:template match="*" mode="TR316"/>
	<xsl:template match="*" mode="check">
		<xsl:apply-templates select="*" mode="TR316"/>
	</xsl:template>

	<xsl:template match="jw303:ProductReferentie" mode="TR316">
		<xsl:variable name="vReferentieNummer" select="normalize-space(ijw:ReferentieNummer/text())" />
		<xsl:variable name="vVorigReferentieNummer" select="normalize-space(ijw:VorigReferentieNummer/text())" />

		<xsl:call-template name="checkvalue">
			<xsl:with-param name="pThis" select="ancestor-or-self::jw303:Prestatie/preceding-sibling::jw303:Prestatie//ijw:ReferentieNummer[text() = $vVorigReferentieNummer]" />
			<xsl:with-param name="pValues">!#</xsl:with-param>
			<xsl:with-param name="pRule">TR316</xsl:with-param>
			<xsl:with-param name="pExtra" select="ijw:VorigReferentieNummer" />
		</xsl:call-template>

		<xsl:call-template name="checkvalue">
			<xsl:with-param name="pThis" select="ancestor-or-self::jw303:Client/preceding-sibling::jw303:Client//ijw:ReferentieNummer[text() = $vVorigReferentieNummer]" />
			<xsl:with-param name="pValues">!#</xsl:with-param>
			<xsl:with-param name="pRule">TR316</xsl:with-param>
			<xsl:with-param name="pExtra" select="ijw:VorigReferentieNummer" />
		</xsl:call-template>

		<xsl:call-template name="checkvalue">
			<xsl:with-param name="pThis" select="ancestor-or-self::jw303:Prestatie/preceding-sibling::jw303:Prestatie//ijw:VorigReferentieNummer[text() = $vReferentieNummer]" />
			<xsl:with-param name="pValues">!#</xsl:with-param>
			<xsl:with-param name="pRule">TR316</xsl:with-param>
			<xsl:with-param name="pExtra" select="ijw:ReferentieNummer" />
		</xsl:call-template>

		<xsl:call-template name="checkvalue">
			<xsl:with-param name="pThis" select="ancestor-or-self::jw303:Client/preceding-sibling::jw303:Client//ijw:VorigReferentieNummer[text() = $vReferentieNummer]" />
			<xsl:with-param name="pValues">!#</xsl:with-param>
			<xsl:with-param name="pRule">TR316</xsl:with-param>
			<xsl:with-param name="pExtra" select="ijw:ReferentieNummer" />
		</xsl:call-template>

		<xsl:if test="$vReferentieNummer = $vVorigReferentieNummer">
			<xsl:call-template name="addError">
				<xsl:with-param name="pRule">TR316</xsl:with-param>
				<xsl:with-param name="pElements" select="ijw:ReferentieNummer | ijw:VorigReferentieNummer" />
			</xsl:call-template>
		</xsl:if>
	</xsl:template>

</xsl:stylesheet>
